I started using Karaf yesterday. Version 4.0.6.

Not aware of shell-compat. What does it do? I can't see it mentioned in any
documentation. 

Naively tried installing it. Doesn't seem to change my ability to run a gogo
shell command that I can see?


> On 19 September 2016 at 17:08 Benson Margulies <ben...@basistech.com> wrote:
> 
> 
> What version of karaf?
> 
> Did you install the shell-compat feature, which is required for gogo commands?
> 
> 
> On Mon, Sep 19, 2016 at 12:06 PM,  <t...@quarendon.net> wrote:
> > I'm trying to get started with Karaf, and am having a few issues.
> >
> > I have created a simple OSGi enroute project using bndtools in eclipse. I
> > have
> > created a feature.xml file for it and have installed it in karaf. So far so
> > good.
> >
> > The default project that bndtools generates includes a gogo command. It's
> > just a
> > "hello world".
> >
> > When I run this within eclipse under the normal OSGi environment there, I
> > can
> > run my command from the gogo shell.
> >
> > Naively I tried doing the same from within the karaf shell. No joy.
> >
> > I feel I'm back to square one in terms of diagnostics. Tools I used to rely
> > on
> > like "lb", "inspect capabilities" and so on don't exist as far as I can
> > tell, so
> > I can't really tell what might be going wrong.
> > "bundle:diag" shows no unsatisfied requirements though.
> >
> > Should I expect such a command to work?
> >
> > Thanks.

Reply via email to